# S2MLCore version 1.0.0
# S2MLEmbedsDirective.py
# by Antoine Rauzy
# Copyrights (c) 2018 AltaRica Association
#
# This file is part of S2MLCore.
# S2MLCore is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# S2MLCore is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with S2MLCore.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) ClonesDirectives

# 1) Imported modules
# -------------------

from S2MLDomains import *
from S2MLMetaModel import *

from S2MLType import *
from S2MLBaseBlock import *

# 2) EmbedsDirectives
# -------------------

class S2MLEmbedsDirective(S2MLBaseBlock):
  def __init__(self, identifier, pathToEmbeddedElement, container):
    S2MLBaseBlock.__init__(self, S2MLType.EMBEDS, identifier, container)
    self._pathToEmbeddedElement = pathToEmbeddedElement

  def GetPathToEmbeddedElement(self):
    return self._pathToEmbeddedElement
  def SetPathToEmbeddedElement(self, pathToEmbeddedElement):
    self._pathToEmbeddedElement = pathToEmbeddedElement 
